clockworkpi

How can I Retroarch 1.7.0 to 1.7.3?

How can I Retroarch 1.7.0 to 1.7.3?

Plz…

I made a shell script that will update retroarch to the latest version, install filters etc. You can copy what you need from here: https://github.com/hpcodecraft/gameshell-setup/blob/master/retroarch/setup_retroarch.sh

Update: You can also run it by a setup script I wrote now, which can also do other things like resize your filesystem to fill the SD card or install an alias to take screenshots via SSH. You can check it out in the same repo, the retroarch setup is a part of it: https://github.com/hpcodecraft/gameshell-setup

7 Likes

Man, your post should be pinned. :dolls:

People, just paste

bash <(curl -s https://raw.githubusercontent.com/hpcodecraft/gameshell-setup/master/run.sh)

into your ssh shell.

1 Like

You are a god! thank you

I did it but my retroarch is still in v1.7.0. although now I have a prnice of persia and another game, what do I do wrong?

Edit: I already have version 1.7.6, everything worked. Thank you

So, I recently updated my Gameshell to image 0.4. I was running 0.2 so I decided to start over. I was following the RetroArch Megathread but it was getting stuck on this:

CXX deps/SPIRV-Cross/spirv_parser.cpp

Here’s a link of someone that posted a message with the same error:

So I re-installed the 0.4 image fresh and then decided to give it a shot to your script. It is successful, but retroarch does not open. I tried several times with a clean image and still does not work. While installing I see several errors. I am a bit frustrated as I tried to use the included version and while applying the recommended settings on the megathread it just gets me white screen. And after chaging the video driver to gl and now it asks for a password when opening the retroarch… as on this post…

At this point I have given up. I know this was going to be complicated, but not this much.

Have you tried the following script; How can I Retroarch 1.7.0 to 1.7.3? : https://github.com/hpcodecraft/gameshell-setup/blob/master/retroarch/setup_retroarch.sh

@sickfreak What were you trying to do? OS 0.4 already have Retroarch 1.7.7

Thanks for the reply, I will test this later today and let you know how it went.

Yeah, I noticed that 1.7.7 is included, however, since it was not displaying anything by when trying to load cores, the screen just goes white. And I see that the current version is 1.7.8 v2, so I thought an update might help.

Anyway, using 1.7.7 and trying to change default drivers to the one suggested on the megathread make the GameShell to start asking me for a password every time I open retroarch. Besides that, does not let me edit the button config from the gameshell itself.

If you using stock 1.7.7 you don’t need to change drivers within retroarch. This instructions work for older OS. So, just use stock settings.
And about update to 1.7.8 I know nothing, sorry

1.7.7. works pretty good for me. Wouldn’t change a thing if everything is running smoothly for you.

It’s to do with the graphics driver being gl instead of sdl2 as required. The retroarch script uses the settings above. It won’t work as expected, unless you manually recompile retroarch from scratch. The script covers that.

I just tried it myself, updating to 1.7.8. There is one small problem. It installs the retroarch directory to cpi/retroarch instead of cpi/.config/retroarch. The home screen shortcut and all references expect retroarch to be here. If you’re having trouble running retroarch after following the instructions, try moving the directory to the correct place. Either that, or you can change every single reference to retroarch in every file to the changes directory. This is tiresome and I wouldn’t recommend it.

That said, from memory; at least on the raspberry pi, the latest build had some composite output problems. Not that we even use composite output, but with the trouble people are having with aspect ratios etc with the current clock work OS 0.4, I’d be careful about updating to 1.7.8.

As for your input problems, I posted a solution to this thread here. Check it out. I’ve also gone through how to get D pad input working on Mame, one post above the link.

This seems to be resolved however in 1.7.8, even using X input. Likewise, it doesn’t send you to a login screen if you choose to use the gl graphics driver. This is possibly due to recompiling with all the features that were disabled on the stock installation. Better still, you can escape the dreaded search box window without restating your Gameshell!

…or create a symbolic link in the location GameShell expects it.

mv ~/.config/retroarch ~/.config/retroarch_bak
ln -s ~/retroarch ~/.config/retroarch
1 Like

Nice! I love it! :slight_smile:
Keep in mind that given retroarch comes pre installed, you will then have it installed in two locations. Probably best to deleted the 1.7.7 in the .config directory.
The initial old instructions in the mega thread must have been for installing retroarch prior to it being pre installed in clockwork OS.
I just feel … extremely unclean, having ANYTHING sitting in my home directory; symbolically linked or not!